package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 问题表;
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "问题表",description = "")
@TableName("ta_issue")
public class TaIssue implements Serializable,Cloneable{
    /** 问题ID */
    @ApiModelProperty(name = "问题ID",notes = "")
    @TableId(value = "issue_id", type = IdType.INPUT)
    private Integer issueId ;
    /** 标题 */
    @ApiModelProperty(name = "标题",notes = "")
    private String title ;
    /** 所属分类 */
    @ApiModelProperty(name = "所属分类",notes = "")
    private String typeId ;
    /** 分类名称 */
    @ApiModelProperty(name = "分类名称",notes = "")
    private String typeName ;
    /** 问题详情 */
    @ApiModelProperty(name = "问题详情",notes = "")
    private String content ;
    /** 处理状态 */
    @ApiModelProperty(name = "处理状态",notes = "")
    private String processStatus ;
    /** 交办次数 */
    @ApiModelProperty(name = "交办次数",notes = "")
    private String processNum ;
    /** 当前处理单位 */
    @ApiModelProperty(name = "当前处理单位",notes = "")
    private String orgId ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 上报人 */
    @ApiModelProperty(name = "上报人",notes = "")
    private String createPerson ;
    /** 上报人名称 */
    @ApiModelProperty(name = "上报人名称",notes = "")
    private String personName ;
    /** 上报人身份 */
    @ApiModelProperty(name = "上报人身份",notes = "")
    private String personDuty ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;
    /** 更新人 */
    @ApiModelProperty(name = "更新人",notes = "")
    private String updateUser ;
    /** 更新时间 */
    @ApiModelProperty(name = "更新时间",notes = "")
    private LocalDateTime updateDate ;

}